<div id="introText">
    <p>Na ovoj stranici pogledat ćemo još jedan mogući način izvedbe bistabila. Ovoga puta pomoću kombinacijskih
        sklopova NILI.</p>
</div>
<hr>

<h3><b>Primjer 1</b></h3>
<p>
    Na sljedećoj demonstraciji nalaze se dva kombinacijska sklopa. To su sklopovi "NILI" (engl. NOR) koji su ovdje
    nacrtani prema IEC standardu koji ima prepoznatljiv znak "\(\geq\)" s odgovarajućim simbolom komplementa na izlazu
    sklopa.
</p>

<p>
    Ove kombinacijske sklopove spojili smo kao i NI sklopove s prethodne stranice, pomoću povratne veze. Povratnom vezom
    doveli smo izlaz drugog sklopa na ulaze prvog sklopa. Uočite da su ulazi ovih "NILI" (engl. NOR) sklopova povezani
    pa se ovako spojeni NILI sklop ponaša identično kao i običan invertor.
</p>


<p>
    Da bi lakše pratili što se događa u ovakvom spoju označili smo i izlaz prvog sklopa sa \(Q\) te izlaz drugog sklopa
    sa \(\overline{Q}\).
</p>

<p>Ponašanje ovog sklopa identično je istom primjeru s NI sklopovima pa ćemo samo kratko ponoviti što se događa.
    Povezujući preko povratne veze 2 NILI sklopa dobili smo još jednu izvedbu bistabila, ovako povezani sklop ima zaista
    dva stabilan stanja. Uvjerite se da sklop sa simulacije radi na očekivani način tako da žicu koja je trenutno u
    jedinici kliknete lijevom tipkom miša, čime ćete promijeniti stanje ovako ostvarenog bistabila.
</p>

<div align="center" id="NORsimulationA">
    <canvas id="NOR_A" width="750px" height="300px"></canvas>
</div>


<hr>

<h3><b>Primjer 2</b></h3>

<p>
    Na sljedećoj demonstraciji prikazan je sličan sustav, ponovo imamo jedan bistabil koji radi na prethodno opisani
    način. Ideja ovog primjera je da pokušamo nekako upravljati bistabilom bez da mijenjamo stanje preko samih žica.
    U ovom primjeru postavili smo logičku nulu na jedan od slobodnih ulaza logičkog sklopa NILI. Isto smo napravili i s
    drugim NILI sklopom. Ponašanje je isto kao i kod prethodnog primjera prisjetimo li se da je: $$ NILI(X, X) = NI(1,
    X) $$

    Kao i prethodne simulacije isprobajte ovaj primjer tako da kliknete na jednu od žica, primjerice \(Q\) i time
    promijenite stanje ovog bistabila.

</p>
<div align="center" id="NORsimulationB">
    <canvas id="NOR_B" width="750px" height="300px"></canvas>
</div>
<br>
<hr>


<h3><b>Primjer 3</b></h3>

<p>
    Sljedeći primjer nije puno drugačiji od prethodnih primjera, doduše ima par razlika. Sklopovi NILI (engl. NOR) sada
    su jedan ispod drugoga ali su povezani povratnim vezama na jednak način kao i u prethodnim primjerima.
    Umjesto povezivanja logičke nule na slobodne ulaze NILI sklopova sada imamo i klikabilne pločice kojima možemo
    upravljati ovim sklopom. Jedan od ulaza prvog sklopa nazvali smo R a jedan od ulaza drugog sklopa S. Ovi nazivi su
    prikladni jer izgradnjom ovakvog bistabila dobili smo sklop koji ulazom S (<b>engl.</b> set) postavlja stanje
    bistabila logičkom jedinicom, dok ulaz R resetira (<b>engl.</b> reset) stanje bistabila logičkom jedinicom. <br>
    Uz sam bistabil na ovoj simulaciji imamo i tablicu promjene stanja te dijagram promjene stanja. Uočite da su sada
    ulazi zamijenili mjesta, pa klikabilni ulaz prvog sklopa ima ime R a drugog S.

    Kako biste isprobali ponašanje ovog bistabila simulirajte sljedeće scenarije:


<p>
    Pretpostavimo da je bistabil u početnom stanju \(Q_n = 1\). Lijevom tipkom miša kliknite na klikabilnu pločicu ulaza
    S čime ćete postaviti ulaz S na 1.
    Pratimo li sada što se događa s izlazom ovog sklopa zaključujemo sljedeće: <br><br>
    Ulaz S postavili smo na 1, drugi ulaz tog sklopa već je bio u logičkoj jedinici (\(Q_n = 1\)), pa računamo NILI(1,
    1) = 0, izlaz prvog sklopa (odnosno stanje bistabila) ostat će u jedinici (\(Q_n = 1\)). A izlaz drugog sklopa ostat
    će u nuli odnosno \(\overline{Q_n} = 0\). <br><br>
    Promotrimo i prvi NILI sklop, na njegovu su ulazu \(\overline{Q_n}\) i klikabilni ulaz R, pa računamo:
    NILI(0, 0) = 1, izlaz prvog sklopa (odnosno \(Q_n = 1\)) biti će u logičkoj jedinici i stanje je stabilno. <br>
</p>


<p>
    Isto isprobajte i za ulaz R. Kliknite lijevom tipkom miša na ulaz R i promatrajte što će se dogoditi.
    Postavljanjem ulaza R u jedan računamo: NILI(1, 1) = 0, ovim postupkom na izlazu prvoga sklopa dobiti ćemo logičku
    nulu, odnosno \(Q_n = 0\).
    Promotrimo sada i drugi NILI sklop, na njegovom se ulazu sada nalazi logička nula ulaza S te logička nula ulaza
    \(Q_n\), pa računamo: NILI(0, 0) = 1, pa se izlaz drugog sklopa odnosno \(\overline{Q_n}\) bistabila postavlja na
    logičku jedinicu.
</p>

<div align="center" id="NORSimulationC2">
    <canvas id="NORC2" width="750px" height="560px"></canvas>
</div>

<p>
    Ako ste pratili dijagram promjene stanja uočili ste da nam on pokazuje trenutno stanje i strelicu gdje će sklop ići
    sljedeće. Strelica koja je pobojana crvenom bojom označava sljedeće stanje ovog sklopa a kašnjenje je dodano kako
    biste vidjeli promjenu na dijagramu i u tablici.
</p>

<hr>
<br>


<div class="mlNote">
    <p>
        Ovakav sklop možemo predstaviti kao konačan upravljivi bistabil (sklop s dva stabilna stanja) kod kojeg su ulazi
        \(S \ i \ R\). Ovakav naziv ulaza prikladan je jer ulaz S postavlja (<b>engl.</b> set) bistabil (mijenja stanje
        u logičku jedinicu odnosno \(Q_n = 1\)) s visokom razinom. Dok ulaz R resetira (<b>engl.</b> reset) stanje
        bistabila (mijenja stanje u logičku nulu odnosno \(Q_n = 0\)) također visokom razinom.
    </p>
</div>
<hr>
<br>
<p>
    Konačan simbol odnosno simulacija ovakvog bistabila dan je na sljedećoj simulaciji.
</p>

<div align="center" id="SRSymbol">
    <canvas id="SR" width="750px" height="300px"></canvas>
</div>
<hr>
<br>
<p>
    Na sljedećoj stranici pogledat ćemo i izvedbu sinkronog bistabila.
</p>

<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(exampleANOR.js)*/
    /*@#page-include#(exampleBNOR.js)*/
    /*@#page-include#(example5SR.js)*/
    /*@#page-include#(example4c2.js)*/


</script>
